use telers::{
    event::{telegram::HandlerResult, EventReturn},
    types::Message,
    Bot,
};

use crate::types::structs::message_sender::MessageSender;

const HELP_TEXT: &str = "\
    /help - помощь по боту.\n\
    /unmute - снимает с участника чата мьют, для подробностей, введите команду без аргументов \
    (только для админов).\n\
    /mute - накладывает на участника чата мьют, для подробностей, введите команду без аргументов \
    (только для админов).\n\
    🎲 - выдаёт мут, для этого нужно отправить ТОЛЬКО эмодзи в ответ на сообщение участника. \
    чата, которого вы хотите замьютить (только для админов).\n\
    🎰 - выдаёт бан в случае джекпота, напротив, мьют, всё так же кидайте этот эмодзи в ответ \
    на сообщение участника чата, которого вы хотите замьютить/забанить (только для админов).";

pub async fn help(bot: Bot, message: Message) -> HandlerResult {
    MessageSender::builder(message.chat().id())
        .text(HELP_TEXT)
        .build()
        .send(&bot)
        .await
        .unwrap();
    Ok(EventReturn::Finish)
}
